---
title: "Estimations de π avec R"
author: "Votre nom"
date: "`r format(Sys.Date(), '%d %B %Y')`"
output: html_document
---

# À propos de pi

Voici la valeur de $\pi$ estimée avec différentes méthodes :

## Valeur directe

Utilisation directe de la constante intégrée `pi` :

```{r}
pi

set.seed(42)
N <- 100000
x <- runif(N)
theta <- pi / 2 * runif(N)
pi_buffon <- 2 / mean(x + sin(theta) > 1)
pi_buffon

set.seed(42)
N <- 1000
df <- data.frame(X = runif(N), Y = runif(N))
df$Accept <- (df$X^2 + df$Y^2 <= 1)
ggplot(df, aes(x = X, y = Y, color = Accept)) +
  geom_point(alpha = 0.2) +
  coord_fixed() +
  theme_bw()
4 * mean(df$Accept)








